## pyvenv-el 1.12

=== Makefile ===
.PHONY: all test test-all cask

EMACS ?= emacs
VERSION=$(shell sed -ne 's/^;; Version: \(.*\)/\1/p' pyvenv.el)

all: test

test:
	cask exec ert-runner --quiet

test-all: clean cask
	cask exec ert-runner --quiet
	EMACS=emacs-24.1 cask exec ert-runner --quiet
	EMACS=emacs-24.2 cask exec ert-runner --quiet
	EMACS=emacs-24.3 cask exec ert-runner --quiet
	EMACS=emacs-24.4 cask exec ert-runner --quiet
	EMACS=emacs-24.5 cask exec ert-runner --quiet

cask:
	cask install
	EMACS=emacs-24.1 cask install
	EMACS=emacs-24.2 cask install
	EMACS=emacs-24.3 cask install
	EMACS=emacs-24.4 cask install
	EMACS=emacs-24.5 cask install

compile:
	$(EMACS) -batch -L . -f batch-byte-compile *.el

release: clean test-all
	mkdir -p "dist"
	cp pyvenv.el "dist/pyvenv-$(VERSION).el"

clean:
	rm -rf .cask dist
	find -name '*.elc' -delete

## pyvenv-el 1.10

=== debian/changelog ===
pyvenv-el (1.10-1) unstable; urgency=medium

  * New upstream version 1.10
  * Refresh patches

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 28 Feb 2017 12:18:00 +0500

pyvenv-el (1.9-1) unstable; urgency=medium

  * Initial release (Closes: #855504)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 18 Feb 2017 21:32:53 +0500

=== debian/control ===
Source: pyvenv-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa,
               elpa-f,
               elpa-mocker,
               dash-el,
               s-el,
               virtualenv,
               virtualenvwrapper
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/jorgenschaefer/pyvenv
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/pyvenv-el.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/pyvenv-el.git

Package: elpa-pyvenv
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacsen-common (>= 2.0.8),
         virtualenv
Recommends: emacs (>= 46.0),
            virtualenvwrapper
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: Python virtual environment interface
 This is a simple global minor mode which will replicate the changes
 done by virtualenv activation inside Emacs.
 .
 The main entry points are `pyvenv-activate', which queries the user
 for a virtual environment directory to activate, and
 `pyvenv-workon', which queries for a virtual environment in
 $WORKON_HOME (from virtualenvwrapper.sh).

## pyvenv-el 1.12

=== debian/changelog ===
pyvenv-el (1.12-1) unstable; urgency=medium

  * New upstream version 1.12
  * Refresh patch
  * d/copyright: Bump copyright years
  * d/control: Change Vcs-{Browser,Git} URLs to salsa.debian.org

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 01 Mar 2018 15:22:33 +0500

pyvenv-el (1.11-1) unstable; urgency=medium

  * New upstream version 1.11
  * New patch to fix version number
  * Migrate to dh 11
  * d/control: Declare Standards-Version 4.1.3 (no changes needed)
  * d/control: Remove emacs24 from Enhances field
  * d/control: Use elpa versions of dash and el in Build-Depends field
  * d/control: Remove Built-Using field
  * d/control: No need to explicitly depend on emacsen-common

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 01 Feb 2018 12:23:59 +0500

=== debian/control ===
Source: pyvenv-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa,
               elpa-dash,
               elpa-f,
               elpa-mocker,
               elpa-s,
               virtualenv,
               virtualenvwrapper
Standards-Version: 4.1.3
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/jorgenschaefer/pyvenv
Vcs-Browser: https://salsa.debian.org/emacsen-team/pyvenv-el
Vcs-Git: https://salsa.debian.org/emacsen-team/pyvenv-el.git

Package: elpa-pyvenv
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         virtualenv
Recommends: emacs (>= 46.0),
            virtualenvwrapper
Enhances: emacs,
          emacs25
Description: Python virtual environment interface
 This is a simple global minor mode which will replicate the changes
 done by virtualenv activation inside Emacs.
 .
 The main entry points are `pyvenv-activate', which queries the user
 for a virtual environment directory to activate, and
 `pyvenv-workon', which queries for a virtual environment in
 $WORKON_HOME (from virtualenvwrapper.sh).

## pyvenv-el 1.17

=== debian/changelog ===
pyvenv-el (1.17-1) unstable; urgency=medium

  * New upstream version 1.17

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 30 Jul 2018 10:27:14 +0500

pyvenv-el (1.16-1) unstable; urgency=medium

  * New upstream version 1.16
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.1.5 (no changes needed)
  * d/control: Add Rules-Requires-Root: no

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 09 Jul 2018 21:05:30 +0500

pyvenv-el (1.14-1) unstable; urgency=medium

  * New upstream version 1.14

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 08 May 2018 09:59:07 +0500

pyvenv-el (1.13-1) unstable; urgency=medium

  * New upstream version 1.13
  * Remove obsolete patch
  * Declare Standards-Version 4.1.4 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 07 Apr 2018 14:11:08 +0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pyvenv-el
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-elpa,
@@ -11,7 +11,8 @@
                elpa-s,
                virtualenv,
                virtualenvwrapper
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/jorgenschaefer/pyvenv
 Vcs-Browser: https://salsa.debian.org/emacsen-team/pyvenv-el

## pyvenv-el 1.20

=== debian/changelog ===
pyvenv-el (1.20-1) unstable; urgency=medium

  * New upstream version 1.20
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 03 Jan 2019 18:26:30 +0500

pyvenv-el (1.19-1) unstable; urgency=medium

  * New upstream version 1.19

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 09 Dec 2018 11:40:27 +0500

pyvenv-el (1.18-1) unstable; urgency=medium

  * New upstream version 1.18
  * Declare Standards-Version 4.2.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 04 Sep 2018 12:16:06 +0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                elpa-s,
                virtualenv,
                virtualenvwrapper
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/jorgenschaefer/pyvenv

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyvenv-el-$1\.tar\.gz/ \
  https://github.com/jorgenschaefer/pyvenv/tags .*/v?(\d\S*)\.tar\.gz

## pyvenv-el 1.21

=== debian/changelog ===
pyvenv-el (1.21-1) unstable; urgency=medium

  * New upstream version 1.21
  * d/control: Declare Standards-Version 4.4.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 01 Dec 2019 12:44:15 +0500

pyvenv-el (1.20-2) unstable; urgency=medium

  * Fix autopkgtest
  * Migrate to debhelper 12 without d/compat
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 29 Jul 2019 10:42:28 +0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-elpa,
                elpa-dash,
                elpa-f,
@@ -11,7 +11,7 @@
                elpa-s,
                virtualenv,
                virtualenvwrapper
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/jorgenschaefer/pyvenv
@@ -25,8 +25,7 @@
          virtualenv
 Recommends: emacs (>= 46.0),
             virtualenvwrapper
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: Python virtual environment interface
  This is a simple global minor mode which will replicate the changes
  done by virtualenv activation inside Emacs.

## pyvenv-el 1.21%2Bgit20211014.31ea715

=== debian/changelog ===
pyvenv-el (1.21+git20211014.31ea715-1) unstable; urgency=medium

  * Team upload
  * New upstream snapshot 1.21+git20211014.31ea715
  * Add 0002-fix-duplicated-test-name.diff to fix duplicated test name
    issue (Closes: #1052931)
  * Declare Standards-Version 4.6.2 (no changes needed)

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 29 Sep 2023 19:08:13 -0700

pyvenv-el (1.21+git20201124.37e7cb1-1) unstable; urgency=medium

  * New upstream snapshot 1.21+git20201124.37e7cb1 (Closes: #975560)
  * d/control: Migrate to debhelper-compat 13
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 24 Nov 2020 20:37:11 +0500

## pyvenv-el 1.21+git20201124.37e7cb1

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-dash,
                elpa-f,
@@ -11,7 +11,7 @@
                elpa-s,
                virtualenv,
                virtualenvwrapper
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/jorgenschaefer/pyvenv

## pyvenv-el 1.21+git20211014.31ea715

=== Makefile ===
--- 
+++ 
@@ -27,10 +27,6 @@
 compile:
 	$(EMACS) -batch -L . -f batch-byte-compile *.el
 
-release: clean test-all
-	mkdir -p "dist"
-	cp pyvenv.el "dist/pyvenv-$(VERSION).el"
-
 clean:
 	rm -rf .cask dist
 	find -name '*.elc' -delete

=== debian/changelog ===
pyvenv-el (1.21+git20211014.31ea715-3) unstable; urgency=medium

  * Add python3-venv as a preferred alternative to virtualenv as a
    dependency (Closes: #1102285)
  * Drop obsolete version from emacs in Recommends
  * Demote "python3-venv | virtualenv" to recommends
    - As this package can also work with 3rd party Python virtual
      environments.
  * Update Standards-Version to 4.7.2; no change needed
  * Add myself to Uploaders
  * Add d/gbp.conf matching the current practice
  * Add d/salsa-ci.yml with the default template
  * Update section to editors
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 09 Apr 2025 16:30:18 -0700

pyvenv-el (1.21+git20211014.31ea715-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:37:54 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: pyvenv-el
-Section: lisp
+Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Lev Lamberov <dogsleg@debian.org>
+Uploaders: Lev Lamberov <dogsleg@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-dash,
                elpa-f,
                elpa-mocker,
                elpa-s,
-               virtualenv,
-               virtualenvwrapper
-Standards-Version: 4.5.1
+               python3-venv | virtualenv,
+               virtualenvwrapper,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/jorgenschaefer/pyvenv
@@ -22,9 +23,9 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends},
-         virtualenv
-Recommends: emacs (>= 46.0),
-            virtualenvwrapper
+Recommends: emacs,
+            virtualenvwrapper,
+            python3-venv | virtualenv,
 Enhances: emacs
 Description: Python virtual environment interface
  This is a simple global minor mode which will replicate the changes
